## Application
app:
  build: docker/app
  container_name: wedding
  labels:
    - "traefik.enable=true"
    - "traefik.http.routers.wedding.rule=Host(`wedding.localhost`)"
    - "traefik.http.routers.wedding.entrypoints=web"
  volumes:
    - ./docker/app:/etc/httpd
    - .:/var/www
  environment:
    - ENV=localhost
  log_driver: "json-file"
  log_opt:
    max-size: "30m"
    max-file: "10"

# !!! with docker 18 add environment variable COMPOSE_CONVERT_WINDOWS_PATHS=1 !!!
traefik:
  image: traefik:v2.0
  container_name: traefik
  command:
    #- "--log.level=DEBUG"
    - "--api.insecure=true"
    - "--providers.docker=true"
    - "--providers.docker.exposedbydefault=false"
    - "--entrypoints.web.address=:80"
  ports:
    - "80:80"
    - "8080:8080"
  volumes:
    - /var/run/docker.sock:/var/run/docker.sock
